ADDDEBUG(1)

IME
adddebug - Spremeni Makefile, da doda informacije o odpravljanju napak

SINOPSIS

adddebug [-k] [-r] [-n]

OPIS

adddebug spremeni Makefile v trenutnem imeniku (in po izbiri v njegovih podimenikih), da doda informacije o odpravljanju napak (-g3). Prav tako bo odstranil optimizacije (-O[1-9]).

Ta pripomoček je del programa KDE Software Development Kit. (Kompleta za razvoj programske opreme).

MOŽNOSTI

-k
    Ohrani optimizacije (ne odstrani zastavic -O[1-9]?, ki so privzeto odstranjene).

-r
    Rekurzivno preišči vse podimenike trenutnega imenika in upravljaj z vsako najdeno Makefile.

-n
    prevedi brez definiranja NDEBUG in NO_DEBUG (zaradi delovanja klicev kDebug)

AUTHOR

Ben Burton <bab@debian.org>
    Author.